"""
AlexNet、VGG16、ResNet基于pytorch、tensorflow、keras框架的白盒水印处理验证流程
"""
from watermark_verify.process.general_process_define import WhiteBoxWatermarkProcessDefine


class ModelWatermarkProcessor(WhiteBoxWatermarkProcessDefine):
    def __init__(self, model_filename):
        super(ModelWatermarkProcessor, self).__init__(model_filename)

    def process(self) -> bool:
        """
        根据流程定义进行处理，并返回模型标签验证结果
        :return: 模型标签验证结果
        """
        verify_result = self.verify_label()  # 模型标签检测通过，进行标签验证
        return verify_result
